Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch
Class ServiceInvoker

    java.lang.Object
      java.lang.Thread
          org.deegree.portal.owswatch.ServiceInvoker

All Implemented Interfaces:
  Serializable, Runnable

    public class ServiceInvoker

extends Thread
implements Serializable

Executes the tests on a certain service. It also calls the validator and logs the result in the protocol file This class extends Thread. On call of start() will execute the functionality of the class as described above

Version:
  $Revision: 1.2 $, $Date: 2008-03-20 16:33:27 $
Author:
  Moataz Elmasry, last edited by: $Author: elmasry $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ServiceInvoker(ServiceConfiguration serviceconfig, ServiceLog serviceLog)`

Method Summary
`protected ValidatorResponse` | `executeHttpMethod(org.apache.commons.httpclient.HttpMethodBase method)`
`void` | `executeTest()` Executes the test in the main thread
`void` | `executeTestThreaded()` Executes the test in a separate thread
`ServiceConfiguration` | `getServiceConfig()`
`ServiceLog` | `getServiceLog()`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceInvoker

    public ServiceInvoker(ServiceConfiguration serviceconfig,
                          ServiceLog serviceLog)

Parameters:
  `serviceconfig` -
  `serviceLog` -

Method Detail

### executeTestThreaded

    public void executeTestThreaded()

  Executes the test in a separate thread

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### executeTest

    public void executeTest()

  Executes the test in the main thread

### executeHttpMethod

    protected ValidatorResponse executeHttpMethod(org.apache.commons.httpclient.HttpMethodBase method)
                                           throws OGCWebServiceException

  Parameters:
    `method` -
  Returns:
    The response OGCWebServiceResponseData
  Throws:
    `OGCWebServiceException`

### getServiceConfig

    public ServiceConfiguration getServiceConfig()

  Returns:
    ServiceConfiguration

### getServiceLog

    public ServiceLog getServiceLog()

  Returns:
    ServiceLog

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org